package com.ruoyi.file.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 成果表对象 files_achievement
 * 
 * @author cmc
 * @date 2022-09-06
 */
public class FilesAchievement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 成果id */
    @Excel(name = "序号")
    private String id;

    /** 项目id */
//    @Excel(name = "项目id")
    private String projectId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目负责人 */
    private String projectLeader;

    /** 数据年份 */
    @Excel(name = "数据年份")
    private String dataYear;

    /** 成果名称 */
    @Excel(name = "成果名称")
    private String achiName;

    /** 比例尺或等级 */
    @Excel(name = "比例尺或等级")
    private String scaleGrade;

    /** 成果类型 */
    @Excel(name = "成果类型")
    private String resultType;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String fileType;

    /** KML地址 */
//    @Excel(name = "KML地址")
    private String kmlUrl;

    /** kml文件的中心位置经度 */
//    @Excel(name = "kml文件的中心位置经度")
    private String kmlLng;

    /** kml文件的中心位置纬度 */
//    @Excel(name = "kml文件的中心位置纬度")
    private String kmlLat;

    /** 工作量 */
    @Excel(name = "工作量")
    private String workLoad;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String dataSource;

    /** 数据类型（0原始数据，1成果数据，2过程数据） */
    @Excel(name = "数据类型", readConverterExp = "0=原始数据，1成果数据，2过程数据")
    private String dataType;

    /** 生产日期 */
    @Excel(name = "生产日期")
    private Date productionTime;

    /** 存放地址id */
//    @Excel(name = "存放地址id")
    private String storageId;

    /** 存放地址 */
    @Excel(name = "存放地址")
    private String storageAddress;

    /** 成果提交时间 */
    @Excel(name = "成果提交时间")
    private Date submitDate;

    @Excel(name = "备注")
    private String remark;

    @Excel(name = "分辨率（米）")
    private String resolution;

    @Excel(name = "大地基准")
    private String geodeticDatum;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setProjectNumber(String projectNumber)
    {
        this.projectNumber = projectNumber;
    }

    public String getProjectNumber()
    {
        return projectNumber;
    }

    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setProjectLeader(String projectLeader)
    {
        this.projectLeader = projectLeader;
    }

    public String getProjectLeader()
    {
        return projectLeader;
    }
    public void setAchiName(String achiName) 
    {
        this.achiName = achiName;
    }

    public String getAchiName() 
    {
        return achiName;
    }
    public void setDataYear(String dataYear) { this.dataYear = dataYear; }

    public String getDataYear() 
    {
        return dataYear;
    }
    public void setScaleGrade(String scaleGrade) 
    {
        this.scaleGrade = scaleGrade;
    }

    public String getScaleGrade() 
    {
        return scaleGrade;
    }
    public void setResultType(String resultType) { this.resultType = resultType; }

    public String getResultType() 
    {
        return resultType;
    }
    public void setFileType(String fileType) { this.fileType = fileType; }

    public String getFileType()
    {
        return fileType;
    }
    public void setKmlUrl(String kmlUrl) 
    {
        this.kmlUrl = kmlUrl;
    }

    public String getKmlUrl() 
    {
        return kmlUrl;
    }
    public void setKmlLng(String kmlLng) 
    {
        this.kmlLng = kmlLng;
    }

    public String getKmlLng() 
    {
        return kmlLng;
    }
    public void setKmlLat(String kmlLat) 
    {
        this.kmlLat = kmlLat;
    }

    public String getKmlLat() 
    {
        return kmlLat;
    }
    public void setWorkLoad(String workLoad) 
    {
        this.workLoad = workLoad;
    }

    public String getWorkLoad() 
    {
        return workLoad;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setDataSource(String dataSource) 
    {
        this.dataSource = dataSource;
    }

    public String getDataSource() 
    {
        return dataSource;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setStorageId(String storageId) 
    {
        this.storageId = storageId;
    }

    public String getStorageId() 
    {
        return storageId;
    }
    public void setStorageAddress(String storageAddress)
    {
        this.storageAddress = storageAddress;
    }

    public String getStorageAddress()
    {
        return storageAddress;
    }
    public void setSubmitDate(Date submitDate) { this.submitDate = submitDate; }

    public Date getSubmitDate()
    {
        return submitDate;
    }
    public void setProductionTime(Date productionTime) { this.productionTime = productionTime; }

    public Date getProductionTime()
    {
        return productionTime;
    }
    public void setRemark(String remark) { this.remark = remark; }

    public String getRemark()
    {
        return remark;
    }
    public void setResolution(String resolution) { this.resolution = resolution; }

    public String getResolution()
    {
        return resolution;
    }
    public void setGeodeticDatum(String geodeticDatum) { this.geodeticDatum = geodeticDatum; }

    public String getGeodeticDatum()
    {
        return geodeticDatum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("achiName", getAchiName())
            .append("dataYear", getDataYear())
            .append("scaleGrade", getScaleGrade())
            .append("resultType", getResultType())
            .append("kmlUrl", getKmlUrl())
            .append("kmlLng", getKmlLng())
            .append("kmlLat", getKmlLat())
            .append("workLoad", getWorkLoad())
            .append("unit", getUnit())
            .append("dataSource", getDataSource())
            .append("dataType", getDataType())
            .append("storageId", getStorageId())
            .append("remark", getRemark())
            .toString();
    }
}
